Endpoint Examples

/timeseries

Get summary metrics just like the /totals endpoint but broken out by month or day. Use YYYY-MM date format in the time-frame filter, when, to get monthly summary, or use YYYY-MM-DD date format for daily summary data. When requesting a daily timeseries only up to 90 days may be requested at a time. Months or days with 0 postings will be included in the response.

POST /timeseries

Query Parameters

NameTypeDescription
area_versionenum

Specify US Area taxonomy version to use.

This parameter is optional.

Default: us_area_2024_4

Must be one of: us_area_2024_3, us_area_2024_4

soc_versionenum

Specify SOC taxonomy version to use.

This parameter is optional.

Default: soc_2021

Must be one of: soc_2021

onet_versionenum

Specify ONET taxonomy version to use.

This parameter is optional.

Default: onet_2019

Must be one of: onet_2019

title_versionenum

Specify Job Title taxonomy version to use.

This parameter is optional.

Default: emsi

Must be one of: emsi

company_versionenum

Specify company taxonomy version to use.

This parameter is optional.

Default: emsi_company

Must be one of: emsi_company

naics_versionenum

Specify NAICS taxonomy version to use.

This parameter is optional.

Default: naics_std_2022

Must be one of: naics_std_2022

new_taxonomy_versionsenum

Use new taxonomy versions.

This parameter is optional.

Must be one of: true, false

area_us_versionenum

Specify US Area taxonomy version to use.

This parameter is optional.

Default: 2.0.0

Must be one of: 1.0.2, 2.0.0

soc_lightcast_versionenum

Specify SOC Lightcast taxonomy version to use.

This parameter is optional.

Default: 2018.2021.0

Must be one of: 2018.2021.0

onet_standard_versionenum

Specify ONET Standard taxonomy version to use.

This parameter is optional.

Default: 2019.0.0

Must be one of: 2019.0.0

lot_versionenum

Specify LOT taxonomy version to use.

This parameter is optional.

Default: 7

Must be one of: 6, 7

Request Body

{
  "filter": {
    "when": {
      "start": "2022-01",
      "end": "2022-12"
    },
    "city_name": [
      "Irvine, CA"
    ],
    "company_name": [
      "Activision Blizzard"
    ]
  },
  "metrics": [
    "duplicate_postings",
    "unique_postings"
  ]
}

Code Examples

curl --request POST \
  --url https://api.lightcast.io/jpa/timeseries \
  --header 'Authorization: Bearer <ACCESS_TOKEN>' \
  --header 'Content-Type: application/json' \
  --data '{ "filter": { "when": { "start": "2022-01", "end": "2022-12" }, "city_name": [ "Irvine, CA" ], "company_name": [ "Activision Blizzard" ] }, "metrics": [ "duplicate_postings", "unique_postings" ] }'

Response Examples

{
  "data": {
    "timeseries": {
      "duplicate_postings": [
        1189,
        1032,
        889,
        741,
        1160,
        1696,
        2082,
        2409,
        1991,
        1292,
        995,
        930
      ],
      "month": [
        "2020-01",
        "2020-02",
        "2020-03",
        "2020-04",
        "2020-05",
        "2020-06",
        "2020-07",
        "2020-08",
        "2020-09",
        "2020-10",
        "2020-11",
        "2020-12"
      ],
      "unique_postings": [
        300,
        207,
        171,
        127,
        167,
        186,
        225,
        279,
        259,
        202,
        162,
        179
      ]
    },
    "totals": {
      "duplicate_postings": 4911,
      "unique_postings": 965
    }
  }
}
//Your request wasn't valid (bad parameter names or values).

{
  "errors": [
    {
      "status": 400,
      "title": "Malformed Request",
      "detail": "Expected array"
    }
  ]
}
//Your request wasn't unauthorized.

{
  "errors": [
    {
      "status": 401,
      "title": "Unauthorized Request",
      "detail": "You are not authorized to access this resource."
    }
  ]
}
//Your request wasn't valid (bad keyword expression).

{
  "errors": [
    {
      "status": 422,
      "title": "Invalid request content",
      "detail": "Invalid keyword search expression syntax:\n\t\"general merchandise\" OR \"apparel\" OR \"grocery\" OR\n\t                                                  ^"
    }
  ]
}